<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Modules">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Modules are the underlying core components of the Metasploit Framework." /><title>About Modules</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#06-modules/about-modules.html">Open topic with navigation</a>
        </p>
        <h1>About Modules</h1>
        <p><a name="kanchor36"></a>Modules are the underlying core components of the Metasploit Framework. They provide the components and capabilities that <span class="VariablesProductName">Metasploit Pro</span> needs to perform an attack or a execute a task, such as exploiting a target or fingerprinting a host. Every task that <span class="VariablesProductName">Metasploit Pro</span> performs is defined within a module. 
</p>
        <p>When you configure tasks and run them from the user interface, <span class="VariablesProductName">Metasploit Pro</span> does a lot of work behind the scenes to select the appropriate modules that it needs to run. For example, the bruteforce attack runs a combination of service specific modules that focus on the services that are running on the target hosts. <span class="VariablesProductName">Metasploit Pro</span> builds an attack plan based on the services that have been identified by the discovery scan or import. </p>
        <p>
If you want to learn more about a particular module, you can use the built-in module search engine or you can visit the <a href="http://www.metasploit.com/modules/" target="_blank">Metasploit Exploit Database</a>. </p>
        <p><a class="MCHelpControl MCHelpControl-Related relatedTopics" data-mc-topics="Module Rankings|module-rankings.html||Module Search|module-search.html||Modules Types|module-types.html"><span class="MCHelpControl-RelatedHotSpot_">Related Topics</span></a>
        </p>
    </body>
</html>